Results 1 to 4 of 4

Thread: VLC Codec Problems

  1. #1

    Default VLC Codec Problems

    When I try to play .mkv and .mp4 files with VLC I get these messages

    Codec not supported:


    VLC could not decode the format "hevc" (MPEG-H Part2/HEVC (H.265))
    Codec not supported:

    VLC could not decode the format "mp4a" (MPEG AAC Audio)

    Codec not supported:

    VLC could not decode the format "h264" (H264 - MPEG-4 AVC (part 10))
    Codec not supported:
    VLC could not decode the format "mp4a" (MPEG AAC Audio)



    I've tried all sorts of things from other threads and been through the Multimedia Guide a couple times. I'm hoping for some new suggestions. I'm new to OpenSUSE but not to Linux. This is a fresh install of 13.2

    Frequently requested output in other threads:
    Are my repos looking okay?

    Code:
    zypper lr -r
    
    #  | Alias                     | Name                               | Enabled | GPG Check | Refresh
    ---+---------------------------+------------------------------------+---------+-----------+--------
     1 | Packman Repository        | Packman Repository                 | Yes     | (r ) Yes  | Yes    
     2 | openSUSE-13.2-0           | openSUSE-13.2-0                    | No      | ----      | Yes    
     3 | repo-debug                | openSUSE-13.2-Debug                | No      | ----      | Yes    
     4 | repo-debug-update         | openSUSE-13.2-Update-Debug         | No      | ----      | Yes    
     5 | repo-debug-update-non-oss | openSUSE-13.2-Update-Debug-Non-Oss | No      | ----      | Yes    
     6 | repo-non-oss              | openSUSE-13.2-Non-Oss              | Yes     | ( p) Yes  | Yes    
     7 | repo-oss                  | openSUSE-13.2-Oss                  | Yes     | ( p) Yes  | Yes    
     8 | repo-source               | openSUSE-13.2-Source               | No      | ----      | Yes    
     9 | repo-update               | openSUSE-13.2-Update               | Yes     | ( p) Yes  | Yes    
    10 | repo-update-non-oss       | openSUSE-13.2-Update-Non-Oss       | Yes     | ( p) Yes  | Yes
    I've installed all these:


    • libxine2-codecs
    • k3b-codecs
    • ffmpeg
    • lame
    • gstreamer-plugins-bad
    • gstreamer-plugins-ugly
    • gstreamer-plugins-ugly-orig-addon
    • gstreamer-plugins-libav
    • libdvdcss2


    I've updated w/ zypper up
    I've switched system packages to Packman and reinstalled VLC
    Not sure where to go from here, any help appreciated. First post with this forum

  2. #2
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    4,308

    Default AW: VLC Codec Problems

    Install vlc-codecs:
    Code:
    zypper in vlc-codecs

  3. #3

    Default Re: VLC Codec Problems

    Thanks! It worked. That was so simple I wish it was in the multimedia guide or somewhere. Could've saved me a lot of time.

  4. #4
    Join Date
    Sep 2008
    Posts
    2,997

    Default Re: VLC Codec Problems

    also don't forget to do a
    Code:
    zypper dup --from 1
    as you probably have crippled packages from the oss repo and you should use packman for that.
    ps in the above 1 represents packman's repository

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •